OpenCL API mismatch
Hi,

Something is wrong in my CUDA/OpenCL installation, now I am not able to
run any of OpenCL SDK example executables:

gch:~/NVIDIA_GPU_Computing_SDK/OpenCL/bin # ./oclBandwidthTest
./oclBandwidthTest Starting...

Error: API mismatch: the NVIDIA kernel module has version 190.16,
but this NVIDIA driver component has version 185.18.08. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Error: API mismatch: the NVIDIA kernel module has version 190.16,
but this NVIDIA driver component has version 185.18.08. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Running on...

Device

Error: API mismatch: the NVIDIA kernel module has version 190.16,
but this NVIDIA driver component has version 185.18.08. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Failed to create OpenCL context!


I re-installed NVIDIA driver and toolkit (CUDA 2.3), but the problem still exists,
Can anyone provide me some helps to resolve this problem?

Thanks
Hi,



Something is wrong in my CUDA/OpenCL installation, now I am not able to

run any of OpenCL SDK example executables:



gch:~/NVIDIA_GPU_Computing_SDK/OpenCL/bin # ./oclBandwidthTest

./oclBandwidthTest Starting...



Error: API mismatch: the NVIDIA kernel module has version 190.16,

but this NVIDIA driver component has version 185.18.08. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

Error: API mismatch: the NVIDIA kernel module has version 190.16,

but this NVIDIA driver component has version 185.18.08. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

Running on...



Device



Error: API mismatch: the NVIDIA kernel module has version 190.16,

but this NVIDIA driver component has version 185.18.08. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

Failed to create OpenCL context!





I re-installed NVIDIA driver and toolkit (CUDA 2.3), but the problem still exists,

Can anyone provide me some helps to resolve this problem?



Thanks

#1
Posted 09/26/2009 12:10 PM   
Your OpenCL installation is probably outdated, try with installing latest OpenCL stuff announced recently [url="http://forums.nvidia.com/index.php?showtopic=106336"]here[/url] (which means: check under your registered developer login, latest OpenCL SDK and corresponding driver, that is also compatible with CUDA 2.3, should be listed first in the "Newest documents and downloads" section).
Your OpenCL installation is probably outdated, try with installing latest OpenCL stuff announced recently here (which means: check under your registered developer login, latest OpenCL SDK and corresponding driver, that is also compatible with CUDA 2.3, should be listed first in the "Newest documents and downloads" section).

#2
Posted 09/26/2009 03:48 PM   
[quote name='Jyh-Shyong' post='592468' date='Sep 26 2009, 02:10 PM']Hi,

Something is wrong in my CUDA/OpenCL installation, now I am not able to
run any of OpenCL SDK example executables:

gch:~/NVIDIA_GPU_Computing_SDK/OpenCL/bin # ./oclBandwidthTest
./oclBandwidthTest Starting...

Error: API mismatch: the NVIDIA kernel module has version 190.16,
but this NVIDIA driver component has version 185.18.08. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Error: API mismatch: the NVIDIA kernel module has version 190.16,
but this NVIDIA driver component has version 185.18.08. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Running on...

Device

Error: API mismatch: the NVIDIA kernel module has version 190.16,
but this NVIDIA driver component has version 185.18.08. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Failed to create OpenCL context!


I re-installed NVIDIA driver and toolkit (CUDA 2.3), but the problem still exists,
Can anyone provide me some helps to resolve this problem?

Thanks[/quote]
[quote name='Jyh-Shyong' post='592468' date='Sep 26 2009, 02:10 PM']Hi,



Something is wrong in my CUDA/OpenCL installation, now I am not able to

run any of OpenCL SDK example executables:



gch:~/NVIDIA_GPU_Computing_SDK/OpenCL/bin # ./oclBandwidthTest

./oclBandwidthTest Starting...



Error: API mismatch: the NVIDIA kernel module has version 190.16,

but this NVIDIA driver component has version 185.18.08. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

Error: API mismatch: the NVIDIA kernel module has version 190.16,

but this NVIDIA driver component has version 185.18.08. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

Running on...



Device



Error: API mismatch: the NVIDIA kernel module has version 190.16,

but this NVIDIA driver component has version 185.18.08. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

Failed to create OpenCL context!





I re-installed NVIDIA driver and toolkit (CUDA 2.3), but the problem still exists,

Can anyone provide me some helps to resolve this problem?



Thanks

#3
Posted 10/15/2009 03:18 PM   
I'm also having this problem when trying to run one of the example:

Error: API mismatch: the NVIDIA kernel module has version 185.18.36,
but this NVIDIA driver component has version 190.29. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
clCreateContextFromType...
Error in clCreateContextFromType, near Line 118 in file 4256365
Starting Cleanup...

please advice.
I'm also having this problem when trying to run one of the example:



Error: API mismatch: the NVIDIA kernel module has version 185.18.36,

but this NVIDIA driver component has version 190.29. Please make

sure that the kernel module and all NVIDIA driver components

have the same version.

clCreateContextFromType...

Error in clCreateContextFromType, near Line 118 in file 4256365

Starting Cleanup...



please advice.

#4
Posted 03/17/2010 04:08 PM   
Scroll To Top